com.google.gwt.aria.client

## Interface RowRole

- All Superinterfaces:
    GroupRole, Role, SectionRole, StructureRole, WidgetRole
  All Known Implementing Classes:
    RowRoleImpl

      public interface RowRole
      extends GroupRole, WidgetRole

  A type that represents the row role in the ARIA specification.
  See Also:
    `Role`, `Roles`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAriaLevelProperty(Element element)` Returns the value of the aria-level attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaSelectedState(Element element)` Returns the value of the aria-selected attribute for the `element` or "" if no such attribute is present.
    `void` | `removeAriaLevelProperty(Element element)` Removes the aria-level attribute from the `element`.
    `void` | `removeAriaSelectedState(Element element)` Removes the aria-selected attribute from the `element`.
    `void` | `setAriaLevelProperty(Element element, int value)` Sets the aria-level attribute for the `element` to the given `value`.
    `void` | `setAriaSelectedState(Element element, SelectedValue value)` Sets the aria-selected attribute for the `element` to the given `value`.

    - ### Methods inherited from interface com.google.gwt.aria.client.GroupRole

      `getAriaActivedescendantProperty, removeAriaActivedescendantProperty, setAriaActivedescendantProperty`

    - ### Methods inherited from interface com.google.gwt.aria.client.SectionRole

      `getAriaExpandedState, removeAriaExpandedState, setAriaExpandedState`

    - ### Methods inherited from interface com.google.gwt.aria.client.Role

      `getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`

- - ### Method Detail

    - #### getAriaLevelProperty

          java.lang.String getAriaLevelProperty(Element element)

      Returns the value of the aria-level attribute for the `element` or "" if no such attribute is present.

    - #### getAriaSelectedState

          java.lang.String getAriaSelectedState(Element element)

      Returns the value of the aria-selected attribute for the `element` or "" if no such attribute is present.

    - #### removeAriaLevelProperty

          void removeAriaLevelProperty(Element element)

      Removes the aria-level attribute from the `element`.

    - #### removeAriaSelectedState

          void removeAriaSelectedState(Element element)

      Removes the aria-selected attribute from the `element`.

    - #### setAriaLevelProperty

          void setAriaLevelProperty(Element element,
                                    int value)

      Sets the aria-level attribute for the `element` to the given `value`.

    - #### setAriaSelectedState

          void setAriaSelectedState(Element element,
                                    SelectedValue value)

      Sets the aria-selected attribute for the `element` to the given `value`.